Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Summary(de): GNUs bc (eine Zahlenverarbeitungssprache) und dc (ein Rechner).
Name: bc
Version: 1.06
Release: 5mdk
License: GPL
Group: Sciences/Mathematics
BuildRequires:	flex gpm-devel ncurses-devel readline-devel
Source: ftp://ftp.gnu.org/gnu/bc/bc-%{version}.tar.bz2
Patch0: bc-1.06-readline42.patch.bz2
Prereq: /sbin/install-info grep
Buildroot: %{_tmppath}/%{name}-root

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%description -l de
Das bc-Paket enthlt bc und dc. Bc ist eine Zahlenverarbeitungssprache mit
beliebiger Genauigkeit. Dc ist ein interaktiver, Stapelbasierter Rechner mit
beliebiger Genauigkeit, der im Textmodus benutzt werden kann.

Installieren Sie bc, wenn Sie seine Zahlenverarbeitungsfhigkeiten brauchen,
oder wenn Sie einen Textmodus-Rechner haben wollen.

%prep
%setup -q 
%patch -p1 -b .readline42

%build
%configure --with-readline
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post

%_install_info  dc.info

%preun
%_remove_install_info dc.info

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/dc.info*

%changelog
* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.06-5mdk
- BuildRequires:	flex

* Thu Jun 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-4mdk
- Shamelessly rip a patch from RH to make it build with readline 4.2.
- Build with readline support on Alpha, it should work now.
- s/Copyright/License/;

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-3mdk
- On Anzac Day, make it build on the Alpha platform.

* Tue Nov 21 2000 Egil Moeller <redhog@mandrakesoft.com> 1.06-2mdk
- Fix to make rpmlint happy

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-1mdk
- new and shiny bc.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.05a-12mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05a-11mdk
- readd bc :-( (gl scks)

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.05a-10mdk
- macros 
- BM

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.05a-9mdk
- mandrake release.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.05a-8mdk
- Build release.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Compile with readline/history support

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix download URLs

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
